Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05380 Interface Trivial Always Nov 25, 2013, 15:23 Dec 8, 2019, 22:06
Tester Keyman View Status Public Platform
Assigned To R. Belmont Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver apple2gs.cpp
Version 0.151 Fixed in Version 0.217 Build 64-bit
Summary MESS-specific 05380: apple2gs: Cannot use -hard command line option even though it is listed when doing -listmedia
Description With the apple2gs driver, when I set the emulated slot 7 card as a cffs2, I cannot define the harddisc file on the command line. Loading it from the in emulator menu works fine though.
Steps To Reproduce Installed Official Windows Binary Packages mame0151b_64bit.exe.

Run:
mess64.exe -createconfig

Edit mess.ini, set writeconfig to '1'

Run:
mess64.exe apple2gs

Bring up menu, go to 'Slots', set 'sl7' to 'cffs2', Exit mess.

Run:
mess64.exe apple2gs -listmedia
It outputs:
 SYSTEM MEDIA NAME (brief) IMAGE FILE EXTENSIONS SUPPORTED
---------- -------------------- ------------------------------------
apple2gs harddisk (hard) .chd .hd
             floppydisk1 (flop1) .do .dsk .bin .po .nib .fdi .td0 .i
md .cqm .d77 .d88 .1dd
             floppydisk2 (flop2) .do .dsk .bin .po .nib .fdi .td0 .i
md .cqm .d77 .d88 .1dd
             floppydisk3 (flop3) .dsk .img .image.dc .2img .2mg .fdi .t
d0 .imd .cqm .d77 .d88 .1dd
             floppydisk4 (flop4) .dsk .img .image.dc .2img .2mg .fdi .t
d0 .imd .cqm .d77 .d88 .1dd

If I try:
mess64.exe apple2gs -hard c:\emulators\mess\mess0151b_64bit\gsos_hd.chd
It outputs:
Error: unknown option: -hard

Same with -harddisk:
mess64.exe apple2gs -harddisk c:\emulators\mess\mess0151b_64bit\gsos_hd.chd
Error: unknown option: -harddisk
Additional Information
Flags
Regression Version
Affected Sets / Systems apple2gs
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.10015
etabeta
Developer
Nov 26, 2013, 06:54
does it work if you add -sl7 cffs2 from commandline?
User avatar
No.10016
Keyman
Tester
Nov 26, 2013, 08:05
edited on: Nov 26, 2013, 08:05
Yep, this works:
mess64.exe apple2gs -sl7 cffa2 -hard c:\emulators\mess\mess0151b_64bit\gsos_hd.chd
User avatar
No.10023
etabeta
Developer
Nov 28, 2013, 13:56
then there is an issue in the -listmedia command, which should only list the available media devices with the specified configuration, or in its interaction with the "writeconfig 1" setting.

namely, the output you pasted should have been obtained with "mess64.exe apple2gs -sl7 cffa2 -listmedia" and not with the plain "mess64.exe apple2gs -listmedia"

could you check what is the -listmedia output when you have "writeconfig 0" and no config file?

thanks
User avatar
No.10037
Keyman
Tester
Dec 2, 2013, 01:04
When I change to writeconfig 0 (in both mess.ini and apple2gs.ini):
C:\emulators\mess\mess0151b_64bit>mess64.exe apple2gs -listmedia
While parsing .\apple2gs.ini:
Warning: unknown option in INI: sl7:cffa2:cffa2_ata:0
Warning: unknown option in INI: sl7:cffa2:cffa2_ata:1
Warning: unknown option in INI: harddisk


 SYSTEM MEDIA NAME (brief) IMAGE FILE EXTENSIONS SUPPORTED
---------- -------------------- ------------------------------------
apple2gs harddisk (hard) .chd .hd
             floppydisk1 (flop1) .do .dsk .bin .po .nib .fdi .td0 .i
md .cqm .d77 .d88 .1dd
             floppydisk2 (flop2) .do .dsk .bin .po .nib .fdi .td0 .i
md .cqm .d77 .d88 .1dd
             floppydisk3 (flop3) .dsk .img .image.dc .2img .2mg .fdi .t
d0 .imd .cqm .d77 .d88 .1dd
             floppydisk4 (flop4) .dsk .img .image.dc .2img .2mg .fdi .t
d0 .imd .cqm .d77 .d88 .1dd

When I delete mess.ini, apple2gs.ini:
C:\emulators\mess\mess0151b_64bit>mess64.exe apple2gs -listmedia
 SYSTEM MEDIA NAME (brief) IMAGE FILE EXTENSIONS SUPPORTED
---------- -------------------- ------------------------------------
apple2gs floppydisk1 (flop1) .do .dsk .bin .po .nib .fdi .td0 .i
md .cqm .d77 .d88 .1dd
             floppydisk2 (flop2) .do .dsk .bin .po .nib .fdi .td0 .i
md .cqm .d77 .d88 .1dd
             floppydisk3 (flop3) .dsk .img .image.dc .2img .2mg .fdi .t
d0 .imd .cqm .d77 .d88 .1dd
             floppydisk4 (flop4) .dsk .img .image.dc .2img .2mg .fdi .t
d0 .imd .cqm .d77 .d88 .1dd
User avatar
No.17257
R. Belmont
Developer
Dec 8, 2019, 22:05
I don't know when this was fixed, but it's fine in top-of-tree so I'm setting the fix version to 0.217.